Index: branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/Addition.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/Addition.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/Addition.cs	(revision 15018)
@@ -39,5 +39,5 @@
 
     [StorableConstructor]
-    private Addition(bool deserializing) : base(deserializing) { }
+    private Addition(StorableConstructorFlag deserializing) : base(deserializing) { }
     private Addition(Addition original, Cloner cloner) : base(original, cloner) { }
     public override IDeepCloneable Clone(Cloner cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/AiryA.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/AiryA.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/AiryA.cs	(revision 15018)
@@ -39,5 +39,5 @@
 
     [StorableConstructor]
-    private AiryA(bool deserializing) : base(deserializing) { }
+    private AiryA(StorableConstructorFlag deserializing) : base(deserializing) { }
     private AiryA(AiryA original, Cloner cloner) : base(original, cloner) { }
     public override IDeepCloneable Clone(Cloner cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/AiryB.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/AiryB.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/AiryB.cs	(revision 15018)
@@ -39,5 +39,5 @@
 
     [StorableConstructor]
-    private AiryB(bool deserializing) : base(deserializing) { }
+    private AiryB(StorableConstructorFlag deserializing) : base(deserializing) { }
     private AiryB(AiryB original, Cloner cloner) : base(original, cloner) { }
     public override IDeepCloneable Clone(Cloner cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/And.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/And.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/And.cs	(revision 15018)
@@ -39,5 +39,5 @@
 
     [StorableConstructor]
-    private And(bool deserializing) : base(deserializing) { }
+    private And(StorableConstructorFlag deserializing) : base(deserializing) { }
     private And(And original, Cloner cloner) : base(original, cloner) { }
     public override IDeepCloneable Clone(Cloner cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/AutoregressiveVariable.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/AutoregressiveVariable.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/AutoregressiveVariable.cs	(revision 15018)
@@ -28,5 +28,5 @@
   public sealed class AutoregressiveTargetVariable : LaggedVariable {
     [StorableConstructor]
-    private AutoregressiveTargetVariable(bool deserializing) : base(deserializing) { }
+    private AutoregressiveTargetVariable(StorableConstructorFlag deserializing) : base(deserializing) { }
     private AutoregressiveTargetVariable(AutoregressiveTargetVariable original, Cloner cloner)
       : base(original, cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/Average.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/Average.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/Average.cs	(revision 15018)
@@ -39,5 +39,5 @@
 
     [StorableConstructor]
-    private Average(bool deserializing) : base(deserializing) { }
+    private Average(StorableConstructorFlag deserializing) : base(deserializing) { }
     private Average(Average original, Cloner cloner) : base(original, cloner) { }
     public override IDeepCloneable Clone(Cloner cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/Bessel.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/Bessel.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/Bessel.cs	(revision 15018)
@@ -39,5 +39,5 @@
 
     [StorableConstructor]
-    private Bessel(bool deserializing) : base(deserializing) { }
+    private Bessel(StorableConstructorFlag deserializing) : base(deserializing) { }
     private Bessel(Bessel original, Cloner cloner) : base(original, cloner) { }
     public override IDeepCloneable Clone(Cloner cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/BinaryFactorVariable.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/BinaryFactorVariable.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/BinaryFactorVariable.cs	(revision 15018)
@@ -47,5 +47,5 @@
 
     [StorableConstructor]
-    private BinaryFactorVariable(bool deserializing)
+    private BinaryFactorVariable(StorableConstructorFlag deserializing)
       : base(deserializing) {
       variableValues = new Dictionary<string, List<string>>();
Index: branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/BinaryFactorVariableTreeNode.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/BinaryFactorVariableTreeNode.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/BinaryFactorVariableTreeNode.cs	(revision 15018)
@@ -39,5 +39,5 @@
 
     [StorableConstructor]
-    private BinaryFactorVariableTreeNode(bool deserializing) : base(deserializing) { }
+    private BinaryFactorVariableTreeNode(StorableConstructorFlag deserializing) : base(deserializing) { }
     private BinaryFactorVariableTreeNode(BinaryFactorVariableTreeNode original, Cloner cloner)
       : base(original, cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/Constant.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/Constant.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/Constant.cs	(revision 15018)
@@ -100,5 +100,5 @@
 
     [StorableConstructor]
-    private Constant(bool deserializing) : base(deserializing) { }
+    private Constant(StorableConstructorFlag deserializing) : base(deserializing) { }
     private Constant(Constant original, Cloner cloner)
       : base(original, cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/ConstantTreeNode.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/ConstantTreeNode.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/ConstantTreeNode.cs	(revision 15018)
@@ -40,5 +40,5 @@
 
     [StorableConstructor]
-    private ConstantTreeNode(bool deserializing) : base(deserializing) { }
+    private ConstantTreeNode(StorableConstructorFlag deserializing) : base(deserializing) { }
 
     private ConstantTreeNode(ConstantTreeNode original, Cloner cloner)
Index: branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/Cosine.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/Cosine.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/Cosine.cs	(revision 15018)
@@ -39,5 +39,5 @@
 
     [StorableConstructor]
-    private Cosine(bool deserializing) : base(deserializing) { }
+    private Cosine(StorableConstructorFlag deserializing) : base(deserializing) { }
     private Cosine(Cosine original, Cloner cloner) : base(original, cloner) { }
     public override IDeepCloneable Clone(Cloner cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/CosineIntegral.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/CosineIntegral.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/CosineIntegral.cs	(revision 15018)
@@ -39,5 +39,5 @@
 
     [StorableConstructor]
-    private CosineIntegral(bool deserializing) : base(deserializing) { }
+    private CosineIntegral(StorableConstructorFlag deserializing) : base(deserializing) { }
     private CosineIntegral(CosineIntegral original, Cloner cloner) : base(original, cloner) { }
     public override IDeepCloneable Clone(Cloner cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/Dawson.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/Dawson.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/Dawson.cs	(revision 15018)
@@ -39,5 +39,5 @@
 
     [StorableConstructor]
-    private Dawson(bool deserializing) : base(deserializing) { }
+    private Dawson(StorableConstructorFlag deserializing) : base(deserializing) { }
     private Dawson(Dawson original, Cloner cloner) : base(original, cloner) { }
     public override IDeepCloneable Clone(Cloner cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/Derivative.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/Derivative.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/Derivative.cs	(revision 15018)
@@ -39,5 +39,5 @@
 
     [StorableConstructor]
-    private Derivative(bool deserializing) : base(deserializing) { }
+    private Derivative(StorableConstructorFlag deserializing) : base(deserializing) { }
     private Derivative(Derivative original, Cloner cloner) : base(original, cloner) { }
     public override IDeepCloneable Clone(Cloner cloner) { return new Derivative(this, cloner); }
Index: branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/Division.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/Division.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/Division.cs	(revision 15018)
@@ -39,5 +39,5 @@
 
     [StorableConstructor]
-    private Division(bool deserializing) : base(deserializing) { }
+    private Division(StorableConstructorFlag deserializing) : base(deserializing) { }
     private Division(Division original, Cloner cloner) : base(original, cloner) { }
     public override IDeepCloneable Clone(Cloner cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/Erf.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/Erf.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/Erf.cs	(revision 15018)
@@ -39,5 +39,5 @@
 
     [StorableConstructor]
-    private Erf(bool deserializing) : base(deserializing) { }
+    private Erf(StorableConstructorFlag deserializing) : base(deserializing) { }
     private Erf(Erf original, Cloner cloner) : base(original, cloner) { }
     public override IDeepCloneable Clone(Cloner cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/Exponential.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/Exponential.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/Exponential.cs	(revision 15018)
@@ -39,5 +39,5 @@
 
     [StorableConstructor]
-    private Exponential(bool deserializing) : base(deserializing) { }
+    private Exponential(StorableConstructorFlag deserializing) : base(deserializing) { }
     private Exponential(Exponential original, Cloner cloner) : base(original, cloner) { }
     public override IDeepCloneable Clone(Cloner cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/ExponentialIntegralEi.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/ExponentialIntegralEi.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/ExponentialIntegralEi.cs	(revision 15018)
@@ -39,5 +39,5 @@
 
     [StorableConstructor]
-    private ExponentialIntegralEi(bool deserializing) : base(deserializing) { }
+    private ExponentialIntegralEi(StorableConstructorFlag deserializing) : base(deserializing) { }
     private ExponentialIntegralEi(ExponentialIntegralEi original, Cloner cloner) : base(original, cloner) { }
     public override IDeepCloneable Clone(Cloner cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/FactorVariable.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/FactorVariable.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/FactorVariable.cs	(revision 15018)
@@ -45,5 +45,5 @@
 
     [StorableConstructor]
-    private FactorVariable(bool deserializing)
+    private FactorVariable(StorableConstructorFlag deserializing)
       : base(deserializing) {
       variableValues = new Dictionary<string, Dictionary<string, int>>();
Index: branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/FactorVariableTreeNode.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/FactorVariableTreeNode.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/FactorVariableTreeNode.cs	(revision 15018)
@@ -48,5 +48,5 @@
 
     [StorableConstructor]
-    private FactorVariableTreeNode(bool deserializing) : base(deserializing) { }
+    private FactorVariableTreeNode(StorableConstructorFlag deserializing) : base(deserializing) { }
     private FactorVariableTreeNode(FactorVariableTreeNode original, Cloner cloner)
       : base(original, cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/FresnelCosineIntegral.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/FresnelCosineIntegral.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/FresnelCosineIntegral.cs	(revision 15018)
@@ -39,5 +39,5 @@
 
     [StorableConstructor]
-    private FresnelCosineIntegral(bool deserializing) : base(deserializing) { }
+    private FresnelCosineIntegral(StorableConstructorFlag deserializing) : base(deserializing) { }
     private FresnelCosineIntegral(FresnelCosineIntegral original, Cloner cloner) : base(original, cloner) { }
     public override IDeepCloneable Clone(Cloner cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/FresnelSineIntegral.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/FresnelSineIntegral.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/FresnelSineIntegral.cs	(revision 15018)
@@ -39,5 +39,5 @@
 
     [StorableConstructor]
-    private FresnelSineIntegral(bool deserializing) : base(deserializing) { }
+    private FresnelSineIntegral(StorableConstructorFlag deserializing) : base(deserializing) { }
     private FresnelSineIntegral(FresnelSineIntegral original, Cloner cloner) : base(original, cloner) { }
     public override IDeepCloneable Clone(Cloner cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/Gamma.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/Gamma.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/Gamma.cs	(revision 15018)
@@ -39,5 +39,5 @@
 
     [StorableConstructor]
-    private Gamma(bool deserializing) : base(deserializing) { }
+    private Gamma(StorableConstructorFlag deserializing) : base(deserializing) { }
     private Gamma(Gamma original, Cloner cloner) : base(original, cloner) { }
     public override IDeepCloneable Clone(Cloner cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/GreaterThan.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/GreaterThan.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/GreaterThan.cs	(revision 15018)
@@ -39,5 +39,5 @@
 
     [StorableConstructor]
-    private GreaterThan(bool deserializing) : base(deserializing) { }
+    private GreaterThan(StorableConstructorFlag deserializing) : base(deserializing) { }
     private GreaterThan(GreaterThan original, Cloner cloner) : base(original, cloner) { }
     public override IDeepCloneable Clone(Cloner cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/HyperbolicCosineIntegral.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/HyperbolicCosineIntegral.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/HyperbolicCosineIntegral.cs	(revision 15018)
@@ -39,5 +39,5 @@
 
     [StorableConstructor]
-    private HyperbolicCosineIntegral(bool deserializing) : base(deserializing) { }
+    private HyperbolicCosineIntegral(StorableConstructorFlag deserializing) : base(deserializing) { }
     private HyperbolicCosineIntegral(HyperbolicCosineIntegral original, Cloner cloner) : base(original, cloner) { }
     public override IDeepCloneable Clone(Cloner cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/HyperbolicSineIntegral.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/HyperbolicSineIntegral.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/HyperbolicSineIntegral.cs	(revision 15018)
@@ -39,5 +39,5 @@
 
     [StorableConstructor]
-    private HyperbolicSineIntegral(bool deserializing) : base(deserializing) { }
+    private HyperbolicSineIntegral(StorableConstructorFlag deserializing) : base(deserializing) { }
     private HyperbolicSineIntegral(HyperbolicSineIntegral original, Cloner cloner) : base(original, cloner) { }
     public override IDeepCloneable Clone(Cloner cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/IfThenElse.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/IfThenElse.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/IfThenElse.cs	(revision 15018)
@@ -39,5 +39,5 @@
 
     [StorableConstructor]
-    private IfThenElse(bool deserializing) : base(deserializing) { }
+    private IfThenElse(StorableConstructorFlag deserializing) : base(deserializing) { }
     private IfThenElse(IfThenElse original, Cloner cloner) : base(original, cloner) { }
     public override IDeepCloneable Clone(Cloner cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/Integral.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/Integral.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/Integral.cs	(revision 15018)
@@ -38,5 +38,5 @@
 
     [StorableConstructor]
-    private Integral(bool deserializing) : base(deserializing) { }
+    private Integral(StorableConstructorFlag deserializing) : base(deserializing) { }
     private Integral(Integral original, Cloner cloner) : base(original, cloner) { }
     public override IDeepCloneable Clone(Cloner cloner) { return new Integral(this, cloner); }
Index: branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/LaggedSymbol.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/LaggedSymbol.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/LaggedSymbol.cs	(revision 15018)
@@ -43,5 +43,5 @@
 
     [StorableConstructor]
-    protected LaggedSymbol(bool deserializing) : base(deserializing) { }
+    protected LaggedSymbol(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected LaggedSymbol(LaggedSymbol original, Cloner cloner)
       : base(original, cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/LaggedTreeNode.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/LaggedTreeNode.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/LaggedTreeNode.cs	(revision 15018)
@@ -39,5 +39,5 @@
 
     [StorableConstructor]
-    protected LaggedTreeNode(bool deserializing) : base(deserializing) { }
+    protected LaggedTreeNode(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected LaggedTreeNode(LaggedTreeNode original, Cloner cloner)
       : base(original, cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/LaggedVariable.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/LaggedVariable.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/LaggedVariable.cs	(revision 15018)
@@ -41,5 +41,5 @@
     }
     [StorableConstructor]
-    protected LaggedVariable(bool deserializing) : base(deserializing) { }
+    protected LaggedVariable(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected LaggedVariable(LaggedVariable original, Cloner cloner)
       : base(original, cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/LaggedVariableTreeNode.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/LaggedVariableTreeNode.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/LaggedVariableTreeNode.cs	(revision 15018)
@@ -42,5 +42,5 @@
 
     [StorableConstructor]
-    private LaggedVariableTreeNode(bool deserializing) : base(deserializing) { }
+    private LaggedVariableTreeNode(StorableConstructorFlag deserializing) : base(deserializing) { }
     private LaggedVariableTreeNode(LaggedVariableTreeNode original, Cloner cloner)
       : base(original, cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/LessThan.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/LessThan.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/LessThan.cs	(revision 15018)
@@ -39,5 +39,5 @@
 
     [StorableConstructor]
-    private LessThan(bool deserializing) : base(deserializing) { }
+    private LessThan(StorableConstructorFlag deserializing) : base(deserializing) { }
     private LessThan(LessThan original, Cloner cloner) : base(original, cloner) { }
     public override IDeepCloneable Clone(Cloner cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/Logarithm.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/Logarithm.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/Logarithm.cs	(revision 15018)
@@ -39,5 +39,5 @@
 
     [StorableConstructor]
-    private Logarithm(bool deserializing) : base(deserializing) { }
+    private Logarithm(StorableConstructorFlag deserializing) : base(deserializing) { }
     private Logarithm(Logarithm original, Cloner cloner) : base(original, cloner) { }
     public override IDeepCloneable Clone(Cloner cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/Multiplication.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/Multiplication.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/Multiplication.cs	(revision 15018)
@@ -39,5 +39,5 @@
 
     [StorableConstructor]
-    private Multiplication(bool deserializing) : base(deserializing) { }
+    private Multiplication(StorableConstructorFlag deserializing) : base(deserializing) { }
     private Multiplication(Multiplication original, Cloner cloner) : base(original, cloner) { }
     public override IDeepCloneable Clone(Cloner cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/Norm.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/Norm.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/Norm.cs	(revision 15018)
@@ -39,5 +39,5 @@
 
     [StorableConstructor]
-    private Norm(bool deserializing) : base(deserializing) { }
+    private Norm(StorableConstructorFlag deserializing) : base(deserializing) { }
     private Norm(Norm original, Cloner cloner) : base(original, cloner) { }
     public override IDeepCloneable Clone(Cloner cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/Not.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/Not.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/Not.cs	(revision 15018)
@@ -39,5 +39,5 @@
 
     [StorableConstructor]
-    private Not(bool deserializing) : base(deserializing) { }
+    private Not(StorableConstructorFlag deserializing) : base(deserializing) { }
     private Not(Not original, Cloner cloner) : base(original, cloner) { }
     public override IDeepCloneable Clone(Cloner cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/Or.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/Or.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/Or.cs	(revision 15018)
@@ -39,5 +39,5 @@
 
     [StorableConstructor]
-    private Or(bool deserializing) : base(deserializing) { }
+    private Or(StorableConstructorFlag deserializing) : base(deserializing) { }
     private Or(Or original, Cloner cloner) : base(original, cloner) { }
     public override IDeepCloneable Clone(Cloner cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/Power.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/Power.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/Power.cs	(revision 15018)
@@ -39,5 +39,5 @@
 
     [StorableConstructor]
-    private Power(bool deserializing) : base(deserializing) { }
+    private Power(StorableConstructorFlag deserializing) : base(deserializing) { }
     private Power(Power original, Cloner cloner) : base(original, cloner) { }
     public override IDeepCloneable Clone(Cloner cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/Psi.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/Psi.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/Psi.cs	(revision 15018)
@@ -39,5 +39,5 @@
 
     [StorableConstructor]
-    private Psi(bool deserializing) : base(deserializing) { }
+    private Psi(StorableConstructorFlag deserializing) : base(deserializing) { }
     private Psi(Psi original, Cloner cloner) : base(original, cloner) { }
     public override IDeepCloneable Clone(Cloner cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/Root.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/Root.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/Root.cs	(revision 15018)
@@ -39,5 +39,5 @@
 
     [StorableConstructor]
-    private Root(bool deserializing) : base(deserializing) { }
+    private Root(StorableConstructorFlag deserializing) : base(deserializing) { }
     private Root(Root original, Cloner cloner) : base(original, cloner) { }
     public override IDeepCloneable Clone(Cloner cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/Sine.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/Sine.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/Sine.cs	(revision 15018)
@@ -39,5 +39,5 @@
 
     [StorableConstructor]
-    private Sine(bool deserializing) : base(deserializing) { }
+    private Sine(StorableConstructorFlag deserializing) : base(deserializing) { }
     private Sine(Sine original, Cloner cloner) : base(original, cloner) { }
     public override IDeepCloneable Clone(Cloner cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/SineIntegral.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/SineIntegral.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/SineIntegral.cs	(revision 15018)
@@ -39,5 +39,5 @@
 
     [StorableConstructor]
-    private SineIntegral(bool deserializing) : base(deserializing) { }
+    private SineIntegral(StorableConstructorFlag deserializing) : base(deserializing) { }
     private SineIntegral(SineIntegral original, Cloner cloner) : base(original, cloner) { }
     public override IDeepCloneable Clone(Cloner cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/Square.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/Square.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/Square.cs	(revision 15018)
@@ -39,5 +39,5 @@
 
     [StorableConstructor]
-    private Square(bool deserializing) : base(deserializing) { }
+    private Square(StorableConstructorFlag deserializing) : base(deserializing) { }
     private Square(Square original, Cloner cloner) : base(original, cloner) { }
     public override IDeepCloneable Clone(Cloner cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/SquareRoot.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/SquareRoot.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/SquareRoot.cs	(revision 15018)
@@ -39,5 +39,5 @@
 
     [StorableConstructor]
-    private SquareRoot(bool deserializing) : base(deserializing) { }
+    private SquareRoot(StorableConstructorFlag deserializing) : base(deserializing) { }
     private SquareRoot(SquareRoot original, Cloner cloner) : base(original, cloner) { }
     public override IDeepCloneable Clone(Cloner cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/Subtraction.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/Subtraction.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/Subtraction.cs	(revision 15018)
@@ -39,5 +39,5 @@
 
     [StorableConstructor]
-    private Subtraction(bool deserializing) : base(deserializing) { }
+    private Subtraction(StorableConstructorFlag deserializing) : base(deserializing) { }
     private Subtraction(Subtraction original, Cloner cloner) : base(original, cloner) { }
     public override IDeepCloneable Clone(Cloner cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/Tangent.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/Tangent.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/Tangent.cs	(revision 15018)
@@ -39,5 +39,5 @@
 
     [StorableConstructor]
-    private Tangent(bool deserializing) : base(deserializing) { }
+    private Tangent(StorableConstructorFlag deserializing) : base(deserializing) { }
     private Tangent(Tangent original, Cloner cloner) : base(original, cloner) { }
     public override IDeepCloneable Clone(Cloner cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/TimeLag.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/TimeLag.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/TimeLag.cs	(revision 15018)
@@ -39,5 +39,5 @@
 
     [StorableConstructor]
-    private TimeLag(bool deserializing) : base(deserializing) { }
+    private TimeLag(StorableConstructorFlag deserializing) : base(deserializing) { }
     private TimeLag(TimeLag original, Cloner cloner) : base(original, cloner) { }
     public override IDeepCloneable Clone(Cloner cloner) { return new TimeLag(this, cloner); }
Index: branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/Variable.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/Variable.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/Variable.cs	(revision 15018)
@@ -30,5 +30,5 @@
 
     [StorableConstructor]
-    private Variable(bool deserializing)
+    private Variable(StorableConstructorFlag deserializing)
       : base(deserializing) {
     }
Index: branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/VariableBase.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/VariableBase.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/VariableBase.cs	(revision 15018)
@@ -152,5 +152,5 @@
 
     [StorableConstructor]
-    protected VariableBase(bool deserializing)
+    protected VariableBase(StorableConstructorFlag deserializing)
       : base(deserializing) {
       variableNames = new List<string>();
Index: branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/VariableCondition.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/VariableCondition.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/VariableCondition.cs	(revision 15018)
@@ -192,5 +192,5 @@
 
     [StorableConstructor]
-    private VariableCondition(bool deserializing)
+    private VariableCondition(StorableConstructorFlag deserializing)
       : base(deserializing) {
       variableNames = new List<string>();
Index: branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/VariableConditionTreeNode.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/VariableConditionTreeNode.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/VariableConditionTreeNode.cs	(revision 15018)
@@ -55,5 +55,5 @@
 
     [StorableConstructor]
-    private VariableConditionTreeNode(bool deserializing) : base(deserializing) { }
+    private VariableConditionTreeNode(StorableConstructorFlag deserializing) : base(deserializing) { }
     private VariableConditionTreeNode(VariableConditionTreeNode original, Cloner cloner)
       : base(original, cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/VariableTreeNode.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/VariableTreeNode.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/VariableTreeNode.cs	(revision 15018)
@@ -29,5 +29,5 @@
     }
     [StorableConstructor]
-    private VariableTreeNode(bool deserializing) : base(deserializing) { }
+    private VariableTreeNode(StorableConstructorFlag deserializing) : base(deserializing) { }
     private VariableTreeNode(VariableTreeNode original, Cloner cloner)
       : base(original, cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/VariableTreeNodeBase.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/VariableTreeNodeBase.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/VariableTreeNodeBase.cs	(revision 15018)
@@ -45,5 +45,5 @@
 
     [StorableConstructor]
-    protected VariableTreeNodeBase(bool deserializing) : base(deserializing) { }
+    protected VariableTreeNodeBase(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected VariableTreeNodeBase(VariableTreeNodeBase original, Cloner cloner)
       : base(original, cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/Xor.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/Xor.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/Xor.cs	(revision 15018)
@@ -39,5 +39,5 @@
 
     [StorableConstructor]
-    private Xor(bool deserializing) : base(deserializing) { }
+    private Xor(StorableConstructorFlag deserializing) : base(deserializing) { }
     private Xor(Xor original, Cloner cloner) : base(original, cloner) { }
     public override IDeepCloneable Clone(Cloner cloner) {
